package com.mortals.xhx.module.business.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.business.model.vo.BusinessLicenseVo;
/**
 * 营业执照信息实体对象
 *
 * @author zxfei
 * @date 2022-12-13
 */

public class BusinessLicenseEntity extends BusinessLicenseVo {
    private static final long serialVersionUID = 1L;

    /**
     * 经营者姓名
     */
    private String ProprietorName;
    /**
     * 营业执照号码
     */
    private String BusinessLicense;
    /**
     * 单位字号名称
     */
    private String TypeSizeName;
    /**
     * 开业日期
     */
    private String StartDate;
    /**
     * 组成形式如：个人经营
     */
    private String ComposingForm;
    /**
     * 经营场所
     */
    private String ManageLocation;
    /**
     * 经营范围
     */
    private String ManageRange;
    /**
     * 注册号
     */
    private String RegCode;
    /**
     * 证件号码
     */
    private String CredentialsCode;
    /**
     * 证件类型
     */
    private String CredentialsType;
    /**
     * 移动电话
     */
    private String ProprietorMobile;
    /**
     * 营业执照正本二维码base64编码
     */
    private String QrCodeOriginalBase64;
    /**
     * 营业执照副本二维码base64编码
     */
    private String QrCodeDuplicateBase64;
    /**
     * 注册资本
     */
    private String RegisteredCapital;
    /**
     * 实收资本
     */
    private String PaidupCapital;
    /**
     * 营业期限
     */
    private String EndDate;
    /**
     * 允许打印 正本 1允许 2不允许
     */
    private Integer dyZb;
    /**
     * 允许打印 副本 1允许 2不允许
     */
    private Integer dyFb;
    /**
     * 处理状态0未处理1已处理
     */
    private Integer status;



    public BusinessLicenseEntity(){}
    /**
     * 获取 经营者姓名
     * @return String
     */
    public String getProprietorName(){
        return ProprietorName;
    }
    /**
     * 设置 经营者姓名
     * @param ProprietorName
     */
    public void setProprietorName(String ProprietorName){
        this.ProprietorName = ProprietorName;
    }
    /**
     * 获取 营业执照号码
     * @return String
     */
    public String getBusinessLicense(){
        return BusinessLicense;
    }
    /**
     * 设置 营业执照号码
     * @param BusinessLicense
     */
    public void setBusinessLicense(String BusinessLicense){
        this.BusinessLicense = BusinessLicense;
    }
    /**
     * 获取 单位字号名称
     * @return String
     */
    public String getTypeSizeName(){
        return TypeSizeName;
    }
    /**
     * 设置 单位字号名称
     * @param TypeSizeName
     */
    public void setTypeSizeName(String TypeSizeName){
        this.TypeSizeName = TypeSizeName;
    }
    /**
     * 获取 开业日期
     * @return String
     */
    public String getStartDate(){
        return StartDate;
    }
    /**
     * 设置 开业日期
     * @param StartDate
     */
    public void setStartDate(String StartDate){
        this.StartDate = StartDate;
    }
    /**
     * 获取 组成形式如：个人经营
     * @return String
     */
    public String getComposingForm(){
        return ComposingForm;
    }
    /**
     * 设置 组成形式如：个人经营
     * @param ComposingForm
     */
    public void setComposingForm(String ComposingForm){
        this.ComposingForm = ComposingForm;
    }
    /**
     * 获取 经营场所
     * @return String
     */
    public String getManageLocation(){
        return ManageLocation;
    }
    /**
     * 设置 经营场所
     * @param ManageLocation
     */
    public void setManageLocation(String ManageLocation){
        this.ManageLocation = ManageLocation;
    }
    /**
     * 获取 经营范围
     * @return String
     */
    public String getManageRange(){
        return ManageRange;
    }
    /**
     * 设置 经营范围
     * @param ManageRange
     */
    public void setManageRange(String ManageRange){
        this.ManageRange = ManageRange;
    }
    /**
     * 获取 注册号
     * @return String
     */
    public String getRegCode(){
        return RegCode;
    }
    /**
     * 设置 注册号
     * @param RegCode
     */
    public void setRegCode(String RegCode){
        this.RegCode = RegCode;
    }
    /**
     * 获取 证件号码
     * @return String
     */
    public String getCredentialsCode(){
        return CredentialsCode;
    }
    /**
     * 设置 证件号码
     * @param CredentialsCode
     */
    public void setCredentialsCode(String CredentialsCode){
        this.CredentialsCode = CredentialsCode;
    }
    /**
     * 获取 证件类型
     * @return String
     */
    public String getCredentialsType(){
        return CredentialsType;
    }
    /**
     * 设置 证件类型
     * @param CredentialsType
     */
    public void setCredentialsType(String CredentialsType){
        this.CredentialsType = CredentialsType;
    }
    /**
     * 获取 移动电话
     * @return String
     */
    public String getProprietorMobile(){
        return ProprietorMobile;
    }
    /**
     * 设置 移动电话
     * @param ProprietorMobile
     */
    public void setProprietorMobile(String ProprietorMobile){
        this.ProprietorMobile = ProprietorMobile;
    }
    /**
     * 获取 营业执照正本二维码base64编码
     * @return String
     */
    public String getQrCodeOriginalBase64(){
        return QrCodeOriginalBase64;
    }
    /**
     * 设置 营业执照正本二维码base64编码
     * @param QrCodeOriginalBase64
     */
    public void setQrCodeOriginalBase64(String QrCodeOriginalBase64){
        this.QrCodeOriginalBase64 = QrCodeOriginalBase64;
    }
    /**
     * 获取 营业执照副本二维码base64编码
     * @return String
     */
    public String getQrCodeDuplicateBase64(){
        return QrCodeDuplicateBase64;
    }
    /**
     * 设置 营业执照副本二维码base64编码
     * @param QrCodeDuplicateBase64
     */
    public void setQrCodeDuplicateBase64(String QrCodeDuplicateBase64){
        this.QrCodeDuplicateBase64 = QrCodeDuplicateBase64;
    }
    /**
     * 获取 注册资本
     * @return String
     */
    public String getRegisteredCapital(){
        return RegisteredCapital;
    }
    /**
     * 设置 注册资本
     * @param RegisteredCapital
     */
    public void setRegisteredCapital(String RegisteredCapital){
        this.RegisteredCapital = RegisteredCapital;
    }
    /**
     * 获取 实收资本
     * @return String
     */
    public String getPaidupCapital(){
        return PaidupCapital;
    }
    /**
     * 设置 实收资本
     * @param PaidupCapital
     */
    public void setPaidupCapital(String PaidupCapital){
        this.PaidupCapital = PaidupCapital;
    }
    /**
     * 获取 营业期限
     * @return String
     */
    public String getEndDate(){
        return EndDate;
    }
    /**
     * 设置 营业期限
     * @param EndDate
     */
    public void setEndDate(String EndDate){
        this.EndDate = EndDate;
    }
    /**
     * 获取 允许打印 正本 1允许 2不允许
     * @return Integer
     */
    public Integer getDyZb(){
        return dyZb;
    }
    /**
     * 设置 允许打印 正本 1允许 2不允许
     * @param dyZb
     */
    public void setDyZb(Integer dyZb){
        this.dyZb = dyZb;
    }
    /**
     * 获取 允许打印 副本 1允许 2不允许
     * @return Integer
     */
    public Integer getDyFb(){
        return dyFb;
    }
    /**
     * 设置 允许打印 副本 1允许 2不允许
     * @param dyFb
     */
    public void setDyFb(Integer dyFb){
        this.dyFb = dyFb;
    }
    /**
     * 获取 处理状态0未处理1已处理
     * @return Integer
     */
    public Integer getStatus(){
        return status;
    }
    /**
     * 设置 处理状态0未处理1已处理
     * @param status
     */
    public void setStatus(Integer status){
        this.status = status;
    }




    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof BusinessLicenseEntity) {
            BusinessLicenseEntity tmp = (BusinessLicenseEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",ProprietorName:").append(getProprietorName());
        sb.append(",BusinessLicense:").append(getBusinessLicense());
        sb.append(",TypeSizeName:").append(getTypeSizeName());
        sb.append(",StartDate:").append(getStartDate());
        sb.append(",ComposingForm:").append(getComposingForm());
        sb.append(",ManageLocation:").append(getManageLocation());
        sb.append(",ManageRange:").append(getManageRange());
        sb.append(",RegCode:").append(getRegCode());
        sb.append(",CredentialsCode:").append(getCredentialsCode());
        sb.append(",CredentialsType:").append(getCredentialsType());
        sb.append(",ProprietorMobile:").append(getProprietorMobile());
        sb.append(",QrCodeOriginalBase64:").append(getQrCodeOriginalBase64());
        sb.append(",QrCodeDuplicateBase64:").append(getQrCodeDuplicateBase64());
        sb.append(",RegisteredCapital:").append(getRegisteredCapital());
        sb.append(",PaidupCapital:").append(getPaidupCapital());
        sb.append(",EndDate:").append(getEndDate());
        sb.append(",dyZb:").append(getDyZb());
        sb.append(",dyFb:").append(getDyFb());
        sb.append(",status:").append(getStatus());
        return sb.toString();
    }

    public void initAttrValue(){

        this.ProprietorName = "";

        this.BusinessLicense = "";

        this.TypeSizeName = "";

        this.StartDate = "";

        this.ComposingForm = "";

        this.ManageLocation = "";

        this.ManageRange = "";

        this.RegCode = "";

        this.CredentialsCode = "";

        this.CredentialsType = "";

        this.ProprietorMobile = "";

        this.QrCodeOriginalBase64 = "";

        this.QrCodeDuplicateBase64 = "";

        this.RegisteredCapital = "";

        this.PaidupCapital = "";

        this.EndDate = "";

        this.dyZb = 2;

        this.dyFb = 2;

        this.status = 0;
    }
}